Notice Files

gethttps://app.fossa.com/api/revisions/{locator}/notice-files

Returns all notice files that were found in the distributed source code

Path parameters

locatorstringrequired

Responses

200OK

Array of:

idinteger

The ID of the notice match

revisionIdstring

The revision ID of the notice match

pathstring

The file path of the notice match

contentsstring

The contents of the notice match

copyrightsstring[]

The copyrights of the notice match

createdAtstring <date-time>

The creation date of the notice match

updatedAtstring <date-time>

The update date of the notice match

correctedboolean

Whether the notice match has been manually corrected

ignoredboolean

Whether the notice match has been manually ignored

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/revisions/%7Blocator%7D/notice-files
curl --request GET \  --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/notice-files' \  --header 'accept: application/json'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Missing path params: locator

Path params

locatorstringrequired